Bug 5984 - WinXP SP3 can't logon - problem with trust account [_netr_ServerAuthenticate2: netlogon_creds_server_check failed. Rejecting auth request from client W2000UV machine account W2000UV$]
WinXP SP3 can't logon - problem with trust account [_netr_ServerAuthenticate2...
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Domain Control
3.2.5
x64 Windows XP
: P3 major
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 04:48 UTC by Pavel
Modified: 2009-06-18 11:02 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel 2008-12-19 04:48:31 UTC
Hi,
i think this is some bug in samba (sorry if not;)

I have a machine joined to debian's samba v3.0.14a. Everything works. I build up a new debian samba server v3.2.5-1 in separete VLAN, configured from scratch.

Everything is same: including domainsid/localsid, User SID & Primary Group SID of user and computer's trust account.

When i take a working client machine from samba v3.0.14a and put it into new VLAN with the same "looking" PDC v3.2.5 login fails with the following message:

[2008/12/19 10:39:51,  0] rpc_server/srv_netlog_nt.c:_netr_ServerAuthenticate2(520)
  _netr_ServerAuthenticate2: netlogon_creds_server_check failed. Rejecting auth request from client W2000UV machine account W2000UV$

smbpasswd -x -m w2000uv; smbpasswd -a -m w2000uv
does not help (dont get mystified w2000uv is WinXP SP3;).

There is one more interesting thing - when i move this PC from domain to worgroup, then after restart i can join to the domain (v3.2.5) without any problem. Also user's windows profile and settings is preserved in v3.2.5 like in v3.0.14a.

Any idea what's wrong?

Best regards,
Pavel
Comment 1 Karolin Seeger 2009-05-11 06:18:11 UTC
Günther, is that one related to the samr access check problems?
Comment 2 Guenther Deschner 2009-05-19 16:37:38 UTC
No this was the broken credential chain we had in some releases. Fixed in *all* branches in the meantime.
Comment 3 Guenther Deschner 2009-06-18 11:02:00 UTC
Should be fixed with 3.2.12.

Please reopen if still an issue.